- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDName Class Reference

`#include <VSDTypes.h>`

## Public Member Functions
| VSDName (const WPXBinaryData &data, TextFormat format)
| VSDName ()
| VSDName (const VSDName &name)
bool | empty () const

## Public Attributes
WPXBinaryData | m_data
TextFormat | m_format

## Constructor & Destructor Documentation

libvisio::VSDName::VSDName | ( | const WPXBinaryData & | data,
|  | TextFormat | format
| ) |  |
| inline

libvisio::VSDName::VSDName | ( |  | ) |
| inline

libvisio::VSDName::VSDName | ( | const VSDName & | name | ) |
| inline

## Member Function Documentation

bool libvisio::VSDName::empty | ( |  | ) | const
| inline

Referenced by libvisio::VSDContentCollector::collectPage().

## Member Data Documentation

WPXBinaryData libvisio::VSDName::m_data

Referenced by libvisio::VSDContentCollector::collectPage(), and empty().

TextFormat libvisio::VSDName::m_format

Referenced by libvisio::VSDContentCollector::collectPage().

The documentation for this class was generated from the following file:

- VSDTypes.h